components:
  schemas:
    EventDestination_v1_2_6_Actions:
      additionalProperties: false
      description: The available actions for this Resource.
      properties:
        '#EventDestination.ResumeSubscription':
          $ref: '#/components/schemas/EventDestination_v1_2_6_ResumeSubscription'
        Oem:
          $ref: '#/components/schemas/EventDestination_v1_2_6_OemActions'
          description: The available OEM-specific actions for this Resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this Resource.
          x-versionAdded: v1_2_0
      type: object
      x-longDescription: This type shall contain the available actions for this Resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventDestination_v1_2_6_EventDestination:
      additionalProperties: false
      description: The EventDestination schema defines the target of an event subscription,
        including the event types and context to provide to the target in the Event
        payload.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/EventDestination_v1_2_6_Actions'
          description: The available actions for this Resource.
          x-longDescription: This property shall contain the available actions for
            this Resource.
          x-versionAdded: v1_2_0
        Context:
          description: A client-supplied string that is stored with the event destination
            subscription.
          nullable: true
          readOnly: false
          type: string
          x-longDescription: This property shall contain a client-supplied context
            that remains with the connection through the connection's lifetime.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Destination:
          description: The URI of the destination event receiver.
          format: uri-reference
          readOnly: true
          type: string
          x-longDescription: This property shall contain a URI to the destination
            where the events are sent.  If Protocol is `SMTP`, the URI shall follow
            the RFC6068-described format.  SNMP URIs shall be consistent with RFC4088.  Specifically,
            for SNMPv3, if a username is specified in the SNMP URI, the SNMPv3 authentication
            and encryption configuration associated with that user shall be utilized
            in the SNMPv3 traps.  Syslog URIs shall be consistent with RFC3986 and
            contain the scheme `syslog://`.  For other URIs, such as HTTP or HTTPS,
            they shall be consistent with RFC3986.
        EventTypes:
          description: The types of events that are sent to the destination.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Event.yaml#/components/schemas/Event_EventType
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array that contains the
            types of events that shall be sent to the destination.  To specify that
            a client is subscribing for Metric Reports, the EventTypes property should
            include 'MetricReport'.  If the subscription does not include this property,
            the service shall use a single element with a default of `Other`.
        HttpHeaders:
          description: An array of settings for HTTP headers, such as authorization
            information.  This array is null or an empty array in responses.  An empty
            array is the preferred return value on read operations.
          items:
            $ref: '#/components/schemas/EventDestination_v1_2_6_HttpHeaderProperty'
          type: array
          x-longDescription: This property shall contain an object consisting of the
            names and values of of HTTP header to be included with every event POST
            to the Event Destination.  This object shall be null or an empty array
            in responses.  An empty array is the preferred return value in responses.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        MessageIds:
          description: The list of MessageIds that the service sends.  If this property
            is absent or the array is empty, events with any MessageId are sent to
            the subscriber.
          items:
            nullable: true
            type: string
          readOnly: true
          type: array
          x-longDescription: This property shall specify an array of MessageIds that
            are the only allowable values for the MessageId property within an EventRecord
            sent to the subscriber.  Events with MessageIds that are not contained
            in this array shall not be sent to the subscriber.  If this property is
            absent or the array is empty, the service shall send events with any MessageId
            to the subscriber.
          x-versionAdded: v1_1_0
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        OriginResources:
          description: The array of Resources for which the service sends only related
            events.  If this property is absent or the array is empty, the service
            sends the events that originate from any Resource to the subscriber.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall specify an array of Resources, Resource
            Collections, or Referenceable Members that are the only allowable values
            for the OriginOfCondition property within an EventRecord that the service
            sends to the subscriber.  The service shall not send events that originate
            from Resources, Resource Collections, or Referenceable Members, and that
            this array does not contain, to the subscriber.  If this property is absent
            or the array is empty, the service shall send events that originate from
            any Resource, Resource Collection, or Referenceable Member to the subscriber.
          x-versionAdded: v1_1_0
        OriginResources@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Protocol:
          $ref: '#/components/schemas/EventDestination_v1_2_6_EventDestinationProtocol'
          description: The protocol type of the event connection.
          readOnly: true
          x-longDescription: This property shall contain the protocol type that the
            event uses to send the event to the destination.  A `Redfish` value shall
            indicate that the event type shall adhere to the type defined in the Redfish
            Specification.
      required:
      - Context
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This Resource shall represent the target of an event subscription,
        including the event types and context to provide to the target in the Event
        payload.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
      x-requiredOnCreate:
      - Destination
      - Protocol
    EventDestination_v1_2_6_EventDestinationProtocol:
      enum:
      - Redfish
      type: string
      x-enumDescriptions:
        Redfish: The destination follows the Redfish Specification for event notifications.
      x-enumLongDescriptions:
        Redfish: This value shall indicate the destination follows the Redfish Specification
          for event notifications.  Destinations requesting EventFormatType of `Event`
          shall receive a Redfish resource of type Event.  Destinations requesting
          EventFormatType of `MetricReport` shall receive a Redfish resource of type
          MetricReport.
    EventDestination_v1_2_6_HttpHeaderProperty:
      additionalProperties: false
      description: The HTTP header value is the property value.  The header name is
        the property name.
      properties: {}
      type: object
      x-longDescription: This type shall contain the HTTP header name and value to
        include with every event POST to the event destination.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
        ^[^:\\s]+$: {}
    EventDestination_v1_2_6_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this Resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this Resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventDestination_v1_2_6_ResumeSubscription:
      additionalProperties: false
      description: This action resumes a suspended event subscription.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This action shall resume a suspended event subscription,
        which affects the subscription status.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EventDestination_v1_2_6_ResumeSubscriptionRequestBody:
      additionalProperties: false
      description: This action resumes a suspended event subscription.
      properties: {}
      type: object
      x-longDescription: This action shall resume a suspended event subscription,
        which affects the subscription status.
title: '#EventDestination.v1_2_6.EventDestination'
x-copyright: Copyright 2014-2020 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2017.1'
